Bug 831449 - Elisp packages require rebuild for Emacs 24
Elisp packages require rebuild for Emacs 24
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: emacs (Show other bugs)
17
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Petr Hracek
Fedora Extras Quality Assurance
:
Depends On: 833100 833103
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-12 21:49 EDT by Weonjong Lee
Modified: 2013-02-28 07:25 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 833100 833103 (view as bug list)
Environment:
Last Closed: 2013-02-28 07:25:44 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Weonjong Lee 2012-06-12 21:49:02 EDT
Description of problem:
When we start the emacs to open a file, it gives an error message as follows:
Symbol's value as variable is void: inhibit-first-line-modes-regexps.

Version-Release number of selected component (if applicable):
emacs.x86_64                    1:24.0.95-1.fc17

How reproducible:
whenever I start the emacs


Steps to Reproduce:
1. emacs -nw <file name>
2.
3.
  
Actual results:
Symbol's value as variable is void: inhibit-first-line-modes-regexps

Expected results:


Additional info:
Comment 1 Garrett Mitchener 2012-06-13 14:24:46 EDT
I just ran into this. There are initialization files

/usr/share/emacs/site-lisp/gnu-smalltalk/smalltalk-mode.elc
/usr/share/emacs/site-lisp/goodies/ctypes.elc
...

(and the corresponding .el files) that refer to the variable inihibit-first-line-modes-regexps, but it has been renamed in recent versions of emacs.  Removing those files got rid of this problem for me.  There might be other elisp packages with the same problem.  I found these by using grep:

grep -r 'inhibit-first-line' /usr/share/emacs/site-lisp

then

rpm -qf /usr/share/emacs/site-lisp/gnu-smalltalk/smalltalk-mode.elc

etc. to find the package they belong to.

There might be other emacs packages with this problem that I just don't happen to have.

The real fix is for all those packages to be updated and rebuilt.  Meanwhile, at least on my system, I got rid of the problem by removing the emacs-gnu-smalltalk and emacs-goodies packages:

yum erase emacs-gnu-smalltalk* emacs-goodies*
Comment 2 Fedora Admin XMLRPC Client 2013-02-27 10:47:48 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Petr Hracek 2013-02-28 07:25:44 EST
When the packages like emacs-gnu-smalltalk* and emacs-goodies* will be rebuilt that all will work.

Corresponding bugzillas reports were opened:
https://bugzilla.redhat.com/show_bug.cgi?id=833100 for emacs-gnu-smalltalk*
https://bugzilla.redhat.com/show_bug.cgi?id=833103 for emacs-goodies*

Note You need to log in before you can comment on or make changes to this bug.